# Uses of Interface
com.fasterxml.jackson.core.format.InputAccessor

Packages that use InputAccessor
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.format
Package that contains interfaces needed for dynamic, pluggable format (auto)detection; as well as basic utility classes for simple format detection functionality.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of InputAccessor in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core with parameters of type InputAccessor
Modifier and Type
Method
Description
`MatchStrength`
JsonFactory.`hasFormat(InputAccessor acc)`
`protected MatchStrength`
JsonFactory.`hasJSONFormat(InputAccessor acc)`

## Uses of InputAccessor in com.fasterxml.jackson.core.format

Classes in com.fasterxml.jackson.core.format that implement InputAccessor
Modifier and Type
Class
Description
`static class`
`InputAccessor.Std`
Basic implementation that reads data from given `InputStream` and buffers it as necessary.

## Uses of InputAccessor in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json with parameters of type InputAccessor
Modifier and Type
Method
Description
`static MatchStrength`
ByteSourceJsonBootstrapper.`hasJSONFormat(InputAccessor acc)`
Current implementation is not as thorough as other functionality (`ByteSourceJsonBootstrapper`); supports UTF-8, for example.